{
  "main": {
    "id": "20da7b1c0adc4114",
    "type": "split",
    "children": [
      {
        "id": "c178a2dff57ae0aa",
        "type": "tabs",
        "children": [
          {
            "id": "6d395e6a4c72e1c8",
            "type": "leaf",
            "state": {
              "type": "markdown",
              "state": {
                "file": "Planning & To-Dos.md",
                "mode": "source",
                "source": false
              },
              "icon": "lucide-file",
              "title": "Planning & To-Dos"
            }
          }
        ]
      }
    ],
    "direction": "vertical"
  },
  "left": {
    "id": "8c92fa79437d4f31",
    "type": "split",
    "children": [
      {
        "id": "e4a9f8318da249b0",
        "type": "tabs",
        "children": [
          {
            "id": "da6fd2aac65f47f1",
            "type": "leaf",
            "state": {
              "type": "file-explorer",
              "state": {
                "sortOrder": "alphabetical",
                "autoReveal": false
              },
              "icon": "lucide-folder-closed",
              "title": "Files"
            }
          },
          {
            "id": "3f86b26f003a0d1a",
            "type": "leaf",
            "state": {
              "type": "search",
              "state": {
                "query": "",
                "matchingCase": false,
                "explainSearch": false,
                "collapseAll": false,
                "extraContext": false,
                "sortOrder": "alphabetical"
              },
              "icon": "lucide-search",
              "title": "Search"
            }
          },
          {
            "id": "39755dd9db653e17",
            "type": "leaf",
            "state": {
              "type": "bookmarks",
              "state": {},
              "icon": "lucide-bookmark",
              "title": "Bookmarks"
            }
          }
        ]
      }
    ],
    "direction": "horizontal",
    "width": 307.5
  },
  "right": {
    "id": "baa2a8e61b737fa6",
    "type": "split",
    "children": [
      {
        "id": "b628e7116722c59a",
        "type": "tabs",
        "children": [
          {
            "id": "eb1781be59af8c30",
            "type": "leaf",
            "state": {
              "type": "backlink",
              "state": {
                "file": "Usage/Building The Kernel.md",
                "collapseAll": false,
                "extraContext": false,
                "sortOrder": "alphabetical",
                "showSearch": false,
                "searchQuery": "",
                "backlinkCollapsed": false,
                "unlinkedCollapsed": true
              },
              "icon": "links-coming-in",
              "title": "Backlinks for Building The Kernel"
            }
          },
          {
            "id": "18e4602ee5825e11",
            "type": "leaf",
            "state": {
              "type": "outgoing-link",
              "state": {
                "file": "Usage/Building The Kernel.md",
                "linksCollapsed": false,
                "unlinkedCollapsed": true
              },
              "icon": "links-going-out",
              "title": "Outgoing links from Building The Kernel"
            }
          },
          {
            "id": "df5aadad9f62dff1",
            "type": "leaf",
            "state": {
              "type": "tag",
              "state": {
                "sortOrder": "frequency",
                "useHierarchy": false,
                "showSearch": false,
                "searchQuery": ""
              },
              "icon": "lucide-tags",
              "title": "Tags"
            }
          },
          {
            "id": "9bc68cb074d39ab5",
            "type": "leaf",
            "state": {
              "type": "outline",
              "state": {
                "file": "Usage/Building The Kernel.md",
                "followCursor": false,
                "showSearch": false,
                "searchQuery": ""
              },
              "icon": "lucide-list",
              "title": "Outline of Building The Kernel"
            }
          }
        ],
        "currentTab": 2
      }
    ],
    "direction": "horizontal",
    "width": 300,
    "collapsed": true
  },
  "left-ribbon": {
    "hiddenItems": {
      "switcher:Open quick switcher": false,
      "graph:Open graph view": false,
      "canvas:Create new canvas": false,
      "daily-notes:Open today's daily note": false,
      "command-palette:Open command palette": false,
      "templates:Insert template": false
    }
  },
  "active": "6d395e6a4c72e1c8",
  "lastOpenFiles": [
    "Usage/Building The Kernel.md",
    "Planning & To-Dos.md",
    "structure/idk.canvas",
    "structure/kernel.md",
    "structure/libk.md",
    "structure/libm.md",
    "structure/libk",
    "structure",
    "Usage",
    "Welcome.md"
  ]
}